from django.contrib import messages

from zeppsta.serializers import json


def add_message(request, level, message, extra_tags='', fail_silently=False, title=None, context={}):
    # TODO: Refactor; use serializer infrastructure to serialize messages
    message_obj = {
        'level': level,
        'levelTag': messages.DEFAULT_TAGS[level],
    }
    if message:
        message_obj['message'] = message
    if title:
        message_obj['title'] = title
    if context:
        message_obj['context'] = context
    if extra_tags:
        message_obj['extraTags'] = extra_tags

    if message_obj:
        return messages.add_message(request, level, json.dumps(message_obj), extra_tags, fail_silently)
    else:
        return None


def debug(request, message=None, extra_tags='', fail_silently=False, title=None, context={}):
    add_message(request, messages.DEBUG, message, extra_tags, fail_silently, title, context)


def info(request, message=None, extra_tags='', fail_silently=False, title=None, context={}):
    add_message(request, messages.INFO, message, extra_tags, fail_silently, title, context)


def success(request, message=None, extra_tags='', fail_silently=False, title=None, context={}):
    add_message(request, messages.SUCCESS, message, extra_tags, fail_silently, title, context)


def warning(request, message=None, extra_tags='', fail_silently=False, title=None, context={}):
    add_message(request, messages.WARNING, message, extra_tags, fail_silently, title, context)


def error(request, message=None, extra_tags='', fail_silently=False, title=None, context={}):
    add_message(request, messages.ERROR, message, extra_tags, fail_silently, title, context)
