from django.core.validators import MinLengthValidator
from django.db import models


class CharField(models.CharField):
    def __init__(self, *args, **kwargs):
        min_length = kwargs.pop('min_length', 0)
        kwargs.setdefault('max_length', 255)
        kwargs.setdefault('validators', [MinLengthValidator(min_length)])
        super().__init__(*args, **kwargs)


class Image(models.Model):
    file = models.ImageField(upload_to='img')

    class Meta:
        abstract = True
