import django.dispatch
from django.db.models.signals import post_save, pre_delete
from django.dispatch import receiver

from zeppsta.models import Image

post_create = django.dispatch.Signal()


@receiver(post_save)
def send_post_create(created, **kwargs):
    if created:
        post_create.send(**kwargs)


try:
    from sorl.thumbnail import delete

    @receiver(pre_delete)
    def delete_thumbnail(sender, instance, *args, **kwargs):
        if isinstance(instance, Image):
            delete(instance.file)
except ImportError:
    pass
