import re


def all_subclasses(cls):
    """https://stackoverflow.com/a/3862957/3144403"""
    return set(cls.__subclasses__()).union([s for c in cls.__subclasses__() for s in all_subclasses(c)])


def camel_to_snake_case(name):
    """https://stackoverflow.com/a/1176023/3144403"""
    s1 = re.sub('(.)([A-Z][a-z]+)', r'\1_\2', name)
    return re.sub('([a-z0-9])([A-Z])', r'\1_\2', s1).lower()


def snake_to_camel_case(name):
    """https://stackoverflow.com/a/6425628/3144403"""
    return ''.join(x.capitalize() or '_' for x in name.split('_'))
