from django.conf import settings
from django.contrib.messages import get_messages

from zeppsta.serializers import json


class ClientContextMixin(object):
    def get_client_context_data(self, **kwargs):
        messages = [json.loads(m.message) for m in get_messages(self.request)]
        if messages:
            kwargs['messages'] = messages
        if settings.CLIENT_CONTEXT_SETTINGS:
            kwargs['settings'] = {name: getattr(settings, name) for name in settings.CLIENT_CONTEXT_SETTINGS}
        return kwargs
